Brands
Visibility timeline for a brand
Aggregates a brand's stored snapshots into a daily timeline per engine: checks run, times mentioned, mention rate, and average position. Free.
GET
/v1/brands/{id}/timelineAuthorization
accessKey x-access-key<token>
In: header
Path Parameters
id*string
Query Parameters
engine?string
Value in
"chatgpt" | "claude" | "gemini" | "perplexity"from?string
to?string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/brands/string/timeline"{
"success": true,
"data": {
"brandId": "string",
"points": [
{
"date": "string",
"engine": "string",
"checks": 0,
"mentioned": 0,
"mention_rate": 0,
"avg_position": null
}
]
}
}{
"success": false,
"message": "string"
}{
"success": false,
"message": "string"
}{
"success": false,
"message": "string"
}